MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025750Open CASCADE[OCCT] OCCT:Codingpublic2015-01-26 11:332015-10-23 20:49
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025750: Coding rules - eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build
DescriptionIt is necessary to eliminate GCC warning -Wunused-but-set-variable in file OSD_signal.cxx:
OSD_signal.cxx: In function 'void Handler(int, siginfo_t*, Standard_Address)':
OSD_signal.cxx:132:15: warning: variable 'aSigInfo' set but not used [-Wunused-but-set-variable]
   siginfo_t * aSigInfo = NULL;
               ^
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025734closedbugmaster GCC warnings in Android build 

-  Notes
(0037544)
abv (manager)
2015-02-14 20:25

I suggest we shall investigate how signals work on Android, and modify handler accordingly
(0037682)
git (administrator)
2015-02-18 20:07

Branch CR25750 has been created by ibs.

SHA-1: 2083e782d5eb67f41caa78f0520f66f843e01581


Detailed log of new commits:

Author: ibs
Date: Wed Feb 18 14:13:08 2015 +0300

    0025750: Eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build
    
    -Wunused-but-set-variable GCC warnings removed
(0038963)
abv (manager)
2015-03-27 21:38

Ivan, what is the status of this issue?
(0040620)
stv (developer)
2015-05-06 14:17
edited on: 2015-05-06 14:18

Warning was eliminated in commit by ibs. Signals handler and exception handling works correctly on Android platform. I propose to change this issue status to RESOLVED.

(0040843)
git (administrator)
2015-05-13 12:00

Branch CR25750_1 has been created by kgv.

SHA-1: cca9cc886e7327b0464c827b8ff05009397c43b3


Detailed log of new commits:

Author: ibs
Date: Wed May 13 11:59:36 2015 +0300

    0025750: Coding rules - eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build
    
    Move variable aSigInfo to the proper scope.
(0040844)
kgv (developer)
2015-05-13 12:00

Please test the patch.
(0041148)
mkv (tester)
2015-05-14 17:24

Dear BugMaster,
Branch CR25750_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cca9cc886e7327b0464c827b8ff05009397c43b3

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 95432395 / 95504821 [-0.08%]
Total CPU difference: 53298.81999999961 / 51845.16999999939 [+2.80%]
products component :
Total MEMORY difference: 23853431 / 23928051 [-0.31%]
Total CPU difference: 17553.209999999995 / 16286.969999999976 [+7.77%]

Testing on Windows:
occt component :
Total MEMORY difference: 59110139 / 59082925 [+0.05%]
Total CPU difference: 17305.783733798755 / 17064.200585198865 [+1.42%]
products component :
Total MEMORY difference: 15632982 / 15636788 [-0.02%]
Total CPU difference: 6544.897154199981 / 6469.236669199996 [+1.17%]

There are no differences in images found by testdiff.
(0043473)
git (administrator)
2015-07-27 13:29

Branch CR25750_1 has been deleted by kgv.

SHA-1: cca9cc886e7327b0464c827b8ff05009397c43b3
(0047034)
git (administrator)
2015-10-16 16:47

Branch CR25750 has been deleted by kgv.

SHA-1: 2083e782d5eb67f41caa78f0520f66f843e01581

- Related Changesets
occt: master 7d679df3
Timestamp: 2015-05-13 08:59:36
Author: ibs
Committer: bugmaster
Details ] Diff ]
0025750: Coding rules - eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build

Move variable aSigInfo to the proper scope.
mod - src/OSD/OSD_signal.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-26 11:33 ski New Issue
2015-01-26 11:33 ski Assigned To => abv
2015-01-26 12:40 abv Relationship added related to 0025734
2015-02-14 20:25 abv Note Added: 0037544
2015-02-14 20:25 abv Assigned To abv => ibs
2015-02-14 20:25 abv Status new => assigned
2015-02-14 20:55 kgv Target Version => 6.9.0
2015-02-18 20:07 git Note Added: 0037682
2015-03-27 21:38 abv Note Added: 0038963
2015-05-06 06:22 abv Assigned To ibs => stv
2015-05-06 06:22 abv Target Version 6.9.0 => 7.1.0
2015-05-06 14:17 stv Note Added: 0040620
2015-05-06 14:18 stv Note Edited: 0040620 View Revisions
2015-05-06 14:18 stv Note Edited: 0040620 View Revisions
2015-05-13 11:57 kgv Severity minor => trivial
2015-05-13 11:57 kgv Summary Eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build => Coding rules - eliminate GCC warning -Wunused-but-set-variable in OSD_signal.cxx for Android build
2015-05-13 11:57 kgv Description Updated View Revisions
2015-05-13 11:57 kgv Steps to Reproduce Updated View Revisions
2015-05-13 12:00 git Note Added: 0040843
2015-05-13 12:00 kgv Note Added: 0040844
2015-05-13 12:00 kgv Assigned To stv => bugmaster
2015-05-13 12:00 kgv Status assigned => resolved
2015-05-13 12:00 kgv Status resolved => reviewed
2015-05-13 12:07 mkv Assigned To bugmaster => mkv
2015-05-14 17:24 mkv Note Added: 0041148
2015-05-14 17:24 mkv Assigned To mkv => bugmaster
2015-05-14 17:24 mkv Status reviewed => tested
2015-05-14 17:24 mkv Test case number => Not needed
2015-05-15 15:38 bugmaster Changeset attached => occt master 7d679df3
2015-05-15 15:38 bugmaster Status tested => verified
2015-05-15 15:38 bugmaster Resolution open => fixed
2015-05-29 14:19 bugmaster Target Version 7.1.0 => 7.0.0
2015-07-27 13:29 git Note Added: 0043473
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-16 16:47 git Note Added: 0047034
2015-10-23 20:49 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker